#include <iostream>
#include <cmath>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;
const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in) {
    size_t number_count;
    in >> number_count;
    Input inn;
    inn.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        in >> inn.numbers[i];
    }
    size_t bin_count;
    in >> inn.bin_count;
    return inn;
}







int main()
{
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}



